'use strict';

const _ = require('lodash');
const meta = require('./.menu.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 教师申请讲课表管理
class MenuController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.system.menu;
  }
  async index() {
    const data = await this.service.findProject();
    this.ctx.ok({ data });
  }
}

module.exports = CrudController(MenuController, meta);
