'use strict';


module.exports = app => {
  const { router, controller, config } = app;
  const profix = `/api${config.appName ? `/${config.appName}` : ''}`;
  const index = 'system';
  const target = 'menu';
  router.get(target, `${profix}/${index}/${target}/getMenu/:id`, controller[index][target].getUserMenu);
  router.resources(target, `${profix}/${index}/${target}`, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}/${index}/${target}/update/:id`, controller[index][target].update);
};
