'use strict';


module.exports = app => {
  const { router, controller, config } = app;
  const profix = `/api${config.appName ? `/${config.appName}` : ''}`;
  const index = 'system';
  const target = 'tenant';
  const tc = app.middleware.tenantCheck();
  router.get(target, `${profix}/${index}/${target}/getTenant/:_tenant`, controller[index][target].getTenant);
  router.resources(target, `${profix}/${index}/${target}`, tc, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}/${index}/${target}/update/:id`, tc, controller[index][target].update);
};
